> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fulfill a backorders

> Fulfill a backorders

### Path parameters

<ParamField path="id" type="string" required>
  Backorder ID
</ParamField>

### Request body

`FulfillBackorderRequest`

<ParamField body="fulfilled_by" type="string,null" />

<ParamField body="notes" type="string,null" />

<ParamField body="quantity" type="string" required>
  Decimal quantity as a string.
</ParamField>

<ParamField body="source_id" type="string,null" />

<ParamField body="source_type" type="string,null">
  One of `inventory`, `purchase_order`, `transfer`, `production`.
</ParamField>

### Responses

<ResponseField name="200" type="BackorderResponse" />

<ResponseField name="409" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/backorders/{id}/fulfill' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "fulfilled_by": null,
    "notes": null,
    "quantity": "string",
    "source_id": null,
    "source_type": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "backorder_number": "string",
    "created_at": "string",
    "customer_id": "string",
    "expected_date": null,
    "id": "string",
    "order_id": "string",
    "priority": "string",
    "promised_date": null,
    "quantity_fulfilled": "string",
    "quantity_ordered": "string",
    "quantity_remaining": "string",
    "sku": "string",
    "status": "string"
  }
  ```
</ResponseExample>
